Package sop.operation

# Interface InlineVerify

All Superinterfaces:
  `AbstractVerify<InlineVerify>`

public interface InlineVerify extends AbstractVerify<InlineVerify>
API for verification of inline-signed messages.

## Method Summary

Modifier and Type
Method
Description
`default ReadyWithResult<List<Verification>>`
`data(byte[] data)`
Provide the inline-signed data.
`ReadyWithResult<List<Verification>>`
`data(InputStream data)`
Provide the inline-signed data.

### Methods inherited from interface sop.operation.AbstractVerify

`cert, cert, notAfter, notBefore`

## Method Details

### data

ReadyWithResult<List<Verification>> data(InputStream data) throws IOException, SOPGPException.NoSignature, SOPGPException.BadData
Provide the inline-signed data. The result can be used to write the plaintext message out and to get the verifications.

Parameters:
  `data` - signed data
Returns:
  list of signature verifications
Throws:
  `IOException` - in case of an IO error
  `SOPGPException.NoSignature` - when no signature is found
  `SOPGPException.BadData` - when the data is invalid OpenPGP data

### data

default ReadyWithResult<List<Verification>> data(byte[] data) throws IOException, SOPGPException.NoSignature, SOPGPException.BadData
Provide the inline-signed data. The result can be used to write the plaintext message out and to get the verifications.

Parameters:
  `data` - signed data
Returns:
  list of signature verifications
Throws:
  `IOException` - in case of an IO error
  `SOPGPException.NoSignature` - when no signature is found
  `SOPGPException.BadData` - when the data is invalid OpenPGP data